package cat.hack3.codingtests.marsrover.commands;


import cat.hack3.codingtests.marsrover.api.RotableRover;
import cat.hack3.codingtests.marsrover.api.commands.RoverCommand;

import static cat.hack3.codingtests.marsrover.api.RotableRover.Rotation.RIGHT;

public class TurnRightCommand implements RoverCommand {
    private final RotableRover rover;

    public TurnRightCommand(RotableRover rover) {
        this.rover = rover;
    }

    @Override
    public void execute() {
        rover.rotateTowards(RIGHT);
    }
}
