package cat.hack3.codingtests.marsrover.commands;


import cat.hack3.codingtests.marsrover.api.RiderRover;
import cat.hack3.codingtests.marsrover.api.commands.RoverCommand;

public class MoveForwardCommand implements RoverCommand {
    private final RiderRover rover;

    public MoveForwardCommand(RiderRover rover) {
        this.rover = rover;
    }

    public void execute() {
        rover.moveTowards(rover.getCurrentDirection());
    }
}
