package cat.hack3.codingtests.marsrover.test.context;

import cat.hack3.codingtests.marsrover.api.ConsciousRover;
import cat.hack3.codingtests.marsrover.api.RotableRiderRover;
import cat.hack3.codingtests.marsrover.api.cartography.Direction;

import static cat.hack3.codingtests.marsrover.api.cartography.Direction.SOUTH;

public abstract class GivenMarsRoverDeployedOnMarsMap extends GivenMarsMapSquaredWithInitialCoordinates{
    static final Direction STARTING_DIRECTION = SOUTH;

    protected ConsciousRover rover;

    public void setUp() {
        super.setUp();
        rover = getImplProviderOf(RotableRiderRover.Provider.class)
                .provideWith(marsMap, STARTING_DIRECTION);
    }
}
